Jump to content
kmposter

Zasady dostępności aktualizacji.

Recommended Posts

Dzień dobry,

jestem tutaj nowy i dopiero zaczynam "przygodę" z prestą. To moje drugie podejście (dwa lata temu zrezygnowałem z przejścia na prestę a teraz jednak podjąłem decyzję)

Wiem, że piszą tutaj deweloperzy presty stąd moje pytanie dotyczące zasad aktualizacji modułów i szablonów.

Pytanie dotyczy zasad panujących w oficjalnym sklepie addons. presta

Jak to jest z aktualizacjami?

Kupuję jakiś moduł/szablon w dniu 2.10.2018 - moduł do sklepu w wersji 1.7.4 (bo taką mam wersję sklepu)

I widzę, że mogę ściągnąć sobie moduł w kilku wersjach, kompatybilny z 1.7. i 1.7.2 i 1.7.3 i 1.7.4

Ale okazuje się,  że mogę zaktualizować sklep do wersji 1.7.5

Robię aktualizację sklepu.

Moduł według opisu jest też w wersji dla sklepu 1.7.5

Moje pytanie - czy muszę ponownie zapłacić 100 Euro za ten moduł czy też wszystkie wersje 1.7 są dla mnie dostępne?

Czy wszystkie wersje wydane przez 90 dni od dnia zakupu powinny być dostępne do ściągnięcia?

Jeśli muszę kupić nową wersję modułu/szablonu - to w którym momencie następuje zmiana wersji modułu/szablonu?

Czy jest to przejście z wersji 1.6 na 1.7 czy może 1.7.1 na 1.7.2 czy może już przy zmianie wersji z 1.7.4.121 na 1.74. 122 mam ponownie zapłacić 100 Euro za kompatybiny moduł/szablon. 

Zakładamy, że wszystko to dzieje się w ciągu 90 dni od daty zakupu.

Proszę o odpowiedź kogoś kto zna te zasady.

 

Bardzo dziękuję,

Krzysztof

Share this post


Link to post
Share on other sites

Wg mojej wiedzy przy małych zmianach wersji np. 1.7.4.0 na 1.7.4.4 nie powinno być problemu z działaniem modułu. Przy zmianie na wersję 1.7.5 może być problem.

Moduły z wersji 1.6.x nie działają na 1.7.x, ale o zmianach przy okazji wersji 1.7 jest dużo na forum i nie tylko.

Share this post


Link to post
Share on other sites
3 minutes ago, Piotr K. said:

Wg mojej wiedzy przy małych zmianach wersji np. 1.7.4.0 na 1.7.4.4 nie powinno być problemu z działaniem modułu. Przy zmianie na wersję 1.7.5 może być problem.

Moduły z wersji 1.6.x nie działają na 1.7.x, ale o zmianach przy okazji wersji 1.7 jest dużo na forum i nie tylko.

Dziękuję za szybką reakcję. "nie powinno" i "może być" są tutaj kluczowymi zwrotami. Czyli na razie nie ma jednoznacznej odpowiedzi.  Interesuje mnie to czy ktoś kto jest programistą i sprzedaje modułu przez addons był w jakikolwiek sposób zobowiązany do przestrzegania jakichkolwiek zasad?  Bo są tam przecież jakieś zasady - zgadza się?

Krzysztof

Share this post


Link to post
Share on other sites

Pisząc "nie powinno" miałem na myśli, że te zmiany w silniku sklepu nie powinny wpłynąć na działanie modułów ani szablonów.

Pisząc "może być" miałem na myśli, że te zmiany w przypadku wersji 1.7 często są bardzo duże i wpływają na wiele funkcjonalności przez co większość modułów może przestać działać.

Zazwyczaj przez 3 mies. masz wsparcie i aktualizacje - jeśli w tym czasie autor wtyczki wyda nową wersję to będziesz mógł z niej skorzystać.

Tu masz regulaminy: https://addons.prestashop.com/pl/content/12-warunki

Share this post


Link to post
Share on other sites

Dziękuję za link do warunków.  Znalazłem też dokumentację po polsku.  O tutaj:

https://addons.prestashop.com/pl/content/1-czesto-zadawane-pytania-faq

 

Przepraszam, że ja odniosłem się do zasad płacenia za moduły podczas gdy Twój post mówił o kompatybilności modułów.

W tej angielskiej wersji zasad nie ma precyzyjnego rozróżnienia tego co to jest "Minor" i "Major" update.

Nie wymaga to zastosowania jakiejś zasady numeracji.

Ja mam z tym duży problem - to wynika chyba z pytań, które zadałem.

Kupiłem szablon, którego nie mam jak użyć a nowszej wersji nie mogę ściągnąć bo jest do innej wersji sklepu 1.7.5 a nie 1.7.4

Wersja dla 1.7.5 była dostępna wtedy kiedy kupowałem szablon ale z jakiegoś powodu nie mogę tego szablonu ściągnąć a support presty odpisuje, że minęło już 90 dni i nie mają zamiaru mi nic odpisywać - naprawdę odpisali z informacją, że nie pomogą mimo iż ja chciałbym tylko dostać to za co zapłaciłem.

Wg polskiego faq jest tak:

Cena każdego produktu obejmuje 3 miesiące bezpłatnej pomocy technicznej: w ciągu 90 dni od zakupu danego produktu możesz skontaktować się z programistą, który odpowie na wszystkie pytania dotyczące kwestii technicznych i funkcjonalnych, a także udostępni wszelkie aktualizacje produktu.

i tak:

Np. jeśli kupujesz moduł do sklepu w wersji 1.6 i zamierzasz przejść na 1.7, powinieneś zakupić moduł kompatybilny z wersją 1.7, jeśli nie jest on kompatybilny z 1.6 i 1.7.

 

Czy z tego co jest w FAQ wynika, ze w trakcie 90 dni mam dostęp do wszystkich wersji modułu dla sklepu 1.7?  bo ja to tak rozumiem.

 

Krzysztof

 

Share this post


Link to post
Share on other sites
33 minutes ago, Piotr K. said:

Generalnie powinieneś ściągnąć wersję do 1.7.5  gdy miałeś aktywne wsparcie skoro taka wersja była dostępna.

Sposób numeracji wydań prestashop masz opisany tutaj:

http://build.prestashop.com/news/a-more-semantic-versioning-scheme/

http://build.prestashop.com/news/prestashop-1-7-faq/

Dziękuję jeszcze raz za pomoc i wskazówki.

Pozdrawiam,

Krzysztof

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More